Home | All Classes | Grouped Classes | Index | Search

# CL_IRCConnection::send_user

Send user login/identify command.

    	void send_user(
    		const std::string& username, const std::string& hostname, const std::string& servername, const std::string& realname);

Parameters:

username
  Client username.
hostname
  Client hostname.
servername
  Hostname of IRC server.
realname
  Real name of client user.

Detailed description:

This command identifies the IRC client to the IRC network. Each of the parameters passsed will be used to create your fully qualified prefix on the network.

See also:

CL_IRCConnection

Questions or comments, write to the ClanLib mailing list.